Filter::LevelMatch(3)

NAME
Log::Log4perl::Filter::LevelMatch - Filter to match the log level exactly

SYNOPSIS
    log4perl.filter.Match1               = Log::Log4perl::Filter::LevelMatch
    log4perl.filter.Match1.LevelToMatch  = ERROR
    log4perl.filter.Match1.AcceptOnMatch = true

DESCRIPTION
This Log4perl custom filter checks if the currently submitted message matches a predefined priority, as set in "LevelToMatch". The additional parameter "AcceptOnMatch" defines if the filter is supposed to pass or block the message ("true" or "false") on a match.

SEE ALSO
Log::Log4perl::Filter, Log::Log4perl::Filter::LevelRange, Log::Log4perl::Filter::StringRange, Log::Log4perl::Filter::Boolean

AUTHOR
Mike Schilli, <log4perl@perlmeister.com>, 2003